import React__default from 'react';

interface ChatProps {
    res: (input: string) => Promise<string>;
    chatAreaHeight: string;
}
declare function Chat({ res, chatAreaHeight }: ChatProps): React__default.JSX.Element;
interface Message {
    person: number;
    msg: string;
}
interface ChatViewProps {
    chatHistory: Message[];
    height: string;
}
declare function ChatView({ chatHistory, height }: ChatViewProps): React__default.JSX.Element;
interface ChatBoxProps {
    placeholder: string;
    setChatHistory: React__default.Dispatch<React__default.SetStateAction<Message[]>>;
    chatHistory: Message[];
    blockTillReply?: boolean;
    fixed?: boolean;
}
declare function ChatBox({ placeholder, setChatHistory, blockTillReply, chatHistory, }: ChatBoxProps): JSX.Element;

export { Chat, ChatBox, ChatView };
